gnutls_x509_crt_set_dn_by_oid(3)

NAME
gnutls_x509_crt_set_dn_by_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_dn_by_oid(gnutls_x509_crt_t crt, const char * oid, unsigned int raw_flag, const void * name, unsigned int sizeof_name);

ARGUMENTS

gnutls_x509_crt_t crt
    a certificate of type gnutls_x509_crt_t

const char * oid
    holds an Object Identifier in a null terminated string

unsigned int raw_flag
    must be 0, or 1 if the data are DER encoded

const void * name
    a pointer to the name

unsigned int sizeof_name
    holds the size of name

DESCRIPTION
This function will set the part of the name of the Certificate subject, specified by the given OID. The input string should be ASCII or UTF-8 encoded. Some helper macros with popular OIDs can be found in gnutls/x509.h With this function you can only set the known OIDs. You can test for known OIDs using gnutls_x509_dn_oid_known(). For OIDs that are not known (by gnutls) you should properly DER encode your data, and call this function with raw_flag set.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/